from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComMedAreaCity(UltmarcTable):
    """レイアウト区分124: COM_医療圏都道府県市町村対応表"""
    prefc_cd: str           # 県コード
    med_sphe_cd: str        # 医療圏コード
    jis_prefc_cd: str       # JIS都道府県コード
    jis_city_cd: str        # JIS市区町村コード
    zen_prefcode: str       # 移動元2次ｺｰﾄﾞ(都道府県)
    zen_medareacode: str    # 移動元2次ｺｰﾄﾞ(医療圏ｺｰﾄﾞ)
    maintflag: str          # 修正区分
    addDelDiv: str          # 追加削除区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.prefc_cd = record[1]
        self.med_sphe_cd = record[2]
        self.maintflag = record[3]
        self.jis_prefc_cd = record[4]
        self.jis_city_cd = record[5]
        self.addDelDiv = record[6]
        self.zen_prefcode = record[9].strip()
        self.zen_medareacode = record[10].strip()
